<template>
  <button type="button" class="flex" :class="type">
    <span class="flex"> <img :src="iconSrc" class="icon" /></span>
    <slot></slot>
  </button>
</template>

<script>
export default {
  props: {
    type: {
      type: String,
      required: false,
      default: null,
    },
  },
  computed: {
    iconSrc() {
      return require("@/assets/icon-" + this.type + ".svg");
    },
  },
};
</script>

<style scoped>
button {
  position: relative;
  width: 8rem;
  height: 8rem;
  border: 0;
  cursor: pointer;
  justify-content: center;
  border-radius: 50%;
  font-size: 5px;
  padding: 0;
}

button::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border-radius: inherit;
}
span {
  position: relative;
  width: 78%;
  height: 78%;
  justify-content: center;
  border-radius: 50%;
  background-color: hsl(0deg 0% 89%);
  box-shadow: inset 0 5px 0 rgb(96 110 133 / 25%);
}
span:hover {
  background-color: hsl(0deg 0% 98%);
}
.icon {
  width: 55%;
  height: 55%;
}

.scissors {
  background: var(--primary-scissor);
  box-shadow: 0 1em 0 var(--clr-bs-scissor);
}
.paper {
  background: var(--primary-paper);
  box-shadow: 0 1em 0 var(--clr-bs-paper);
}
.lizard {
  background: var(--primary-lizard);
  box-shadow: 0 1em 0 var(--clr-bs-lizard);
}
.rock {
  background: var(--primary-rock);
  box-shadow: 0 1em 0 var(--clr-bs-rock);
}

.spock {
  background: var(--primary-spock);
  box-shadow: 0 1em 0 var(--clr-bs-spock);
}
@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
</style>
